PROJ = MORSETUP
PROJFILE = MORSETUP.MAK
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
BIND  = bind
RC  = rc
IMPLIB	= implib
LFLAGS_G  =   /BATCH
LFLAGS_D  = /CO /INC /NOF
LFLAGS_R  =  /NOF /NOP	/BATCH
MAPFILE_D  = NUL
MAPFILE_R  = NUL
CC  = cl
CFLAGS_G  = /AM /W4 /G2 /Gw /Zp /BATCH
CFLAGS_D  = /Zi /Gi$(PROJ).mdt /Od /Gs /FPa
CFLAGS_R  = /Ot /Og /Oe /FPc /Gs
LLIBS_R  =  /NOD:MLIBCE MLIBCEW
LLIBS_D  =  /NOD:MLIBCA MLIBCAW
LLIBS_G  = LIBW.LIB commdlg shell mmsystem ctl3d
ASM  = masm
AFLAGS_G  = /Mx /T
AFLAGS_D  = /Zi

DEF_FILE  = MORSETUP.DEF
OBJS  = BORDER.obj APPTOOLS.obj APPSYS.obj APPINIT.obj APPEXIT.obj APPEDIT.obj\
	APPBROWS.obj APPSOUND.obj APPINI.obj APPCHILD.obj MORSETUP.obj\
	APPSECTN.obj APPSAVE.obj APPABOUT.obj
RESS  = MORSETUP.res
SBRS  = BORDER.sbr APPTOOLS.sbr APPSYS.sbr APPINIT.sbr APPEXIT.sbr APPEDIT.sbr\
	APPBROWS.sbr APPSOUND.sbr APPINI.sbr APPCHILD.sbr MORSETUP.sbr\
	APPSECTN.sbr APPSAVE.sbr APPABOUT.sbr

all: $(PROJ).exe

.SUFFIXES: .rc .res .c .obj .sbr

BORDER.obj : BORDER.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	morsetup.h D:\sdk\include\ctl3d.h

BORDER.sbr : BORDER.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	morsetup.h D:\sdk\include\ctl3d.h

APPTOOLS.obj : APPTOOLS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\io.h D:\sdk\include\stdarg.h\
	D:\sdk\include\stdio.h D:\sdk\include\stdlib.h D:\sdk\include\direct.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPTOOLS.sbr : APPTOOLS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\io.h D:\sdk\include\stdarg.h\
	D:\sdk\include\stdio.h D:\sdk\include\stdlib.h D:\sdk\include\direct.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPSYS.obj : APPSYS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\stdio.h D:\sdk\include\stdlib.h D:\sdk\include\string.h\
	morsetup.h D:\sdk\include\ctl3d.h

APPSYS.sbr : APPSYS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\stdio.h D:\sdk\include\stdlib.h D:\sdk\include\string.h\
	morsetup.h D:\sdk\include\ctl3d.h

APPINIT.obj : APPINIT.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPINIT.sbr : APPINIT.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPEXIT.obj : APPEXIT.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	morsetup.h D:\sdk\include\ctl3d.h

APPEXIT.sbr : APPEXIT.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	morsetup.h D:\sdk\include\ctl3d.h

APPEDIT.obj : APPEDIT.C D:\sdk\include\windows.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPEDIT.sbr : APPEDIT.C D:\sdk\include\windows.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPBROWS.obj : APPBROWS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\commdlg.h D:\sdk\include\cderr.h\
	D:\sdk\include\string.h D:\sdk\include\io.h D:\sdk\include\stdarg.h\
	D:\sdk\include\stdio.h morsetup.h D:\sdk\include\ctl3d.h

APPBROWS.sbr : APPBROWS.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\commdlg.h D:\sdk\include\cderr.h\
	D:\sdk\include\string.h D:\sdk\include\io.h D:\sdk\include\stdarg.h\
	D:\sdk\include\stdio.h morsetup.h D:\sdk\include\ctl3d.h

APPSOUND.obj : APPSOUND.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\mmsystem.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPSOUND.sbr : APPSOUND.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\mmsystem.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPINI.obj : APPINI.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h\
	D:\sdk\include\stdlib.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPINI.sbr : APPINI.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h\
	D:\sdk\include\stdlib.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPCHILD.obj : APPCHILD.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPCHILD.sbr : APPCHILD.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h morsetup.h\
	D:\sdk\include\ctl3d.h

MORSETUP.obj : MORSETUP.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h\
	D:\sdk\include\stdlib.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

MORSETUP.sbr : MORSETUP.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\shellapi.h D:\sdk\include\stdio.h\
	D:\sdk\include\stdlib.h D:\sdk\include\string.h morsetup.h\
	D:\sdk\include\ctl3d.h

MORSETUP.res : MORSETUP.RC D:\sdk\include\windows.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPSECTN.obj : APPSECTN.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h D:\sdk\include\stdio.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPSECTN.sbr : APPSECTN.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h D:\sdk\include\stdio.h morsetup.h\
	D:\sdk\include\ctl3d.h

APPSAVE.obj : APPSAVE.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPSAVE.sbr : APPSAVE.C D:\sdk\include\windows.h D:\sdk\include\windowsx.h\
	D:\sdk\include\string.h morsetup.h D:\sdk\include\ctl3d.h

APPABOUT.obj : APPABOUT.C

APPABOUT.sbr : APPABOUT.C


$(PROJ).bsc : $(SBRS)
	$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).exe : $(DEF_FILE) $(OBJS) $(RESS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
	$(ILINK) -a -e "$(LINKER) @$(PROJ).lrf" $@
!ELSE
	$(LINKER) @$(PROJ).lrf
!ENDIF
	$(RC) $(RESS) $@


.rc.res :
	$(RC) /r $<

.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF

.c.sbr :
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF


run: $(PROJ).exe
	WIN $(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
	WIN CVW $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
